{% load static %}

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>Create Task</title>
        <link rel="stylesheet" href="{% static 'css/app.css' %}" />
    </head>
    <body>
        <header>
            <nav>
                <ul>
                    {% if user.is_authenticated %}
                        <li>
                            <a href="{% url 'show_my_tasks' %}">My tasks</a>
                        </li>
                        <li>
                            <a href="{% url 'list_projects' %}">My projects</a>
                        </li>
                        <li>
                            <a href="{% url 'logout' %}">Logout</a>
                        </li>
                    {% else %}
                        <li>
                            <a href="{% url 'login' %}">Login</a>
                        </li>
                        <li>
                            <a href="{% url 'signup' %}">Signup</a>
                        </li>
                    {% endif %}
                </ul>
            </nav>
        </header>
        <main>
            <div>
                <h1>My Tasks</h1>
                {% if task_list %}
                    <table>
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Start date</th>
                                <th>End date</th>
                                <th>Is completed</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for assignment in task_list %}
                                <tr>
                                    <td>{{ assignment.name }}</td>
                                    <td>{{ assignment.start_date }}</td>
                                    <td>{{ assignment.due_date }}</td>
                                    {% if assignment.is_completed %}
                                        <td>Done</td>
                                    {% else %}
                                        <td>
                                            <form
                                                method="post"
                                                action="{% url 'complete_task' assignment.id %}"
                                            >
                                                {% csrf_token %}
                                                <input type="hidden" name="is_completed" value="True" />
                                                <button>Complete</button>
                                            </form>
                                        </td>
                                    {% endif %} {% endfor %}
                        </tr>
                {% else %}
                    <p>You have no tasks</p>
                {% endif %}
            </tbody>
        </table>
    </div>
</main>
</body>
</html>
